# PetscExceptionValue

Indicates if the error code is one that is currently being tried Not Collective

### Synopsis

    PetscTruth PetscExceptionValue(PetscErrorCode xierr);

### Input Parameters

. xierr - error code

### Notes

PETSc must not be configured using the option --with-errorchecking=0 for this to work

Use PetscExceptionCaught() to see if the current error code is EXACTLY the one you want

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), SETERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2(), SETERRQ3(),
CHKERRQ(), PetscExceptionTry1(), PetscExceptionCaught()

Level:developer
Location: src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages